Package org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryResponseEntry<K,​V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryResponseEntry<K,​V>

All Implemented Interfaces:
  `Externalizable`, `Serializable`, `Map.Entry<K,​V>`

    @Deprecated
    public class GridCacheQueryResponseEntry<K,​V>
    extends Object
    implements Map.Entry<K,​V>, Externalizable

Deprecated.
Should be removed in Apache Ignite 3.0.
Class to store query results returned by remote nodes. It's required to fully control serialization process. Local entries can be returned to user as is.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GridCacheQueryResponseEntry()` Deprecated. Required by `Externalizable`.
`GridCacheQueryResponseEntry​(K key, V val)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(Object o)` Deprecated.
`K` `getKey()` Deprecated.
`V` `getValue()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `readExternal​(ObjectInput in)` Deprecated.
`V` `setValue​(V val)` Deprecated.
`String` `toString()` Deprecated.
`void` `writeExternal​(ObjectOutput out)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQueryResponseEntry

    public GridCacheQueryResponseEntry()

Deprecated.
Required by `Externalizable`.

#### GridCacheQueryResponseEntry

    public GridCacheQueryResponseEntry​(K key,
                                       V val)

Deprecated.

Parameters:
  `key` - Key.
  `val` - Value.

### Method Detail

#### getKey

    public K getKey()

Deprecated.

Specified by:
  `getKey` in interface `Map.Entry<K,​V>`
Returns:
  Key.

#### getValue

    public V getValue()

Deprecated.

Specified by:
  `getValue` in interface `Map.Entry<K,​V>`
Returns:
  Value.

#### setValue

    public V setValue​(V val)

Deprecated.

Specified by:
  `setValue` in interface `Map.Entry<K,​V>`
Parameters:
  `val` - Value

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Deprecated.

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Deprecated.

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals​(Object o)

Deprecated.

Specified by:
  `equals` in interface `Map.Entry<K,​V>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Specified by:
  `hashCode` in interface `Map.Entry<K,​V>`
Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`